boost::geometry::resolve_variant::crosses< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> > Struct Template Reference

List of all members.

## Classes

struct | visitor

## Static Public Member Functions

static bool | apply (const variant< BOOST_VARIANT_ENUM_PARAMS(T1)> &geometry1, const variant< BOOST_VARIANT_ENUM_PARAMS(T2)> &geometry2)

### template<BOOST_VARIANT_ENUM_PARAMS(typename T1), BOOST_VARIANT_ENUM_PARAMS(typename T2)>
struct boost::geometry::resolve_variant::crosses< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T1) , BOOST_VARIANT_ENUM_PARAMS(typename T2) >

static bool boost::geometry::resolve_variant::crosses< variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::apply | ( | const variant< BOOST_VARIANT_ENUM_PARAMS(T1)> & | geometry1,
|  | const variant< BOOST_VARIANT_ENUM_PARAMS(T2)> & | geometry2
| ) |  | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK